# Gimp.Drawable.prototype.shadows_highlights

    function shadows_highlights(shadows: Number(gdouble), highlights: Number(gdouble), whitepoint: Number(gdouble), radius: Number(gdouble), compress: Number(gdouble), shadows_ccorrect: Number(gdouble), highlights_ccorrect: Number(gdouble)): Boolean {
        // Gjs wrapper for gimp_drawable_shadows_highlights()
    }

Perform shadows and highlights correction.

This filter allows adjusting shadows and highlights in the image separately. The implementation closely follow its counterpart in the Darktable photography software.

Since 2.10.34

shadows

  Adjust exposure of shadows.

highlights

  Adjust exposure of highlights.

whitepoint

  Shift white point.

radius

  Spatial extent.

compress

  Compress the effect on shadows/highlights and preserve midtones.

shadows_ccorrect

  Adjust saturation of shadows.

highlights_ccorrect

  Adjust saturation of highlights.

Returns

  TRUE on success.